public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-servers/gunicorn/
Date: Tue, 18 Jul 2023 06:03:09 +0000 (UTC)	[thread overview]
Message-ID: <1689660177.0650949a523dcec5eaa58efd51f30a77a7c39942.mgorny@gentoo> (raw)

commit:     0650949a523dcec5eaa58efd51f30a77a7c39942
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 18 05:23:03 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 18 06:02:57 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0650949a

www-servers/gunicorn: Bump to 21.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 www-servers/gunicorn/Manifest               |  1 +
 www-servers/gunicorn/gunicorn-21.0.1.ebuild | 51 +++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/www-servers/gunicorn/Manifest b/www-servers/gunicorn/Manifest
index 9451c52761a1..38fd0f0ca1e2 100644
--- a/www-servers/gunicorn/Manifest
+++ b/www-servers/gunicorn/Manifest
@@ -1 +1,2 @@
 DIST gunicorn-20.1.0.gh.tar.gz 354960 BLAKE2B bae414a8da7a4dbdf79e0b46f517138534521a1a8544f4ea2e1e27e6778d2f6ad8d6a8af02590fedad47d305acdea53f1cdbc4deeda3619fc4a5ffef0932bea1 SHA512 4fd905f62adc30e044cf2a56a1a77e14bc633258267d6bfbd4f6a68494f93f377e9fb9ed94fab7f11f9d7813857a680974a88c4b6bf97d4f1b74792a81810111
+DIST gunicorn-21.0.1.gh.tar.gz 361025 BLAKE2B bf6b5dafa5b19f9cafe7556339a2ad264f8abbcaf9c8ccdc958f5019a3935b2a1bc3d56411387c578731f0b517d8f31eeb94087abf9fbf99477727b948bb84a3 SHA512 81081192ad5400f65898a37524ef097a3793aa242028ea30de7b478b605fb14dccdd0eb18d9e8102d8218c33a228143637fec7e02902ceaaa8ce95ea8a2f8be4

diff --git a/www-servers/gunicorn/gunicorn-21.0.1.ebuild b/www-servers/gunicorn/gunicorn-21.0.1.ebuild
new file mode 100644
index 000000000000..e08fbcb4748f
--- /dev/null
+++ b/www-servers/gunicorn/gunicorn-21.0.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A WSGI HTTP Server for UNIX"
+HOMEPAGE="
+	https://gunicorn.org/
+	https://github.com/benoitc/gunicorn/
+	https://pypi.org/project/gunicorn/
+"
+SRC_URI="
+	https://github.com/benoitc/gunicorn/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT PSF-2 doc? ( BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/setproctitle[${PYTHON_USEDEP}]
+"
+
+DOCS=( README.rst )
+
+distutils_enable_sphinx 'docs/source' --no-autodoc
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+	# removed deps
+	tests/workers/test_geventlet.py
+	tests/workers/test_ggevent.py
+)
+
+src_prepare() {
+	sed -e 's:--cov=gunicorn --cov-report=xml::' -i setup.cfg || die
+	distutils-r1_src_prepare
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/source/_build/html/. )
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2023-07-18  6:03 UTC|newest]

Thread overview: 70+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-18  6:03 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-08 19:10 [gentoo-commits] repo/gentoo:master commit in: www-servers/gunicorn/ Arthur Zamarin
2024-08-31  9:21 Michał Górny
2024-08-31  8:00 Arthur Zamarin
2024-08-11  2:58 Michał Górny
2024-06-10 17:01 Michał Górny
2024-05-04  7:25 Michał Górny
2024-05-04  7:14 Arthur Zamarin
2024-04-17 13:52 Michał Górny
2023-08-19 17:53 Arthur Zamarin
2023-07-21  7:10 Michał Górny
2023-07-19  6:57 Michał Górny
2023-05-31  7:31 Michał Górny
2023-01-27 22:16 Marek Szuba
2023-01-24 11:00 Marek Szuba
2022-12-20 14:26 Jakov Smolić
2022-06-29 10:59 Marek Szuba
2022-06-29  7:58 Jakov Smolić
2022-05-18 16:59 Michał Górny
2022-05-18 16:59 Michał Górny
2022-04-25 18:41 Sam James
2021-07-27 23:11 Marek Szuba
2021-06-19 12:26 Michał Górny
2021-05-13 19:31 Michał Górny
2021-05-13 16:54 Sam James
2021-05-13 14:27 Marek Szuba
2021-04-04 18:55 Andreas Sturmlechner
2021-03-15 12:49 Marek Szuba
2020-12-07 19:52 Marek Szuba
2020-12-07 19:24 Marek Szuba
2020-11-30 21:12 Sergei Trofimovich
2020-11-28 15:26 Sam James
2020-11-28 15:26 Sam James
2020-11-26 19:08 Sam James
2020-11-26 13:21 Sam James
2020-10-07  1:02 Sam James
2020-10-02 15:22 Sergei Trofimovich
2020-10-01 17:29 Sergei Trofimovich
2020-09-30 20:26 Sam James
2020-09-27  6:42 Matt Turner
2020-09-13  4:55 Sam James
2020-08-25 10:23 Sam James
2020-08-21 15:36 Agostino Sarubbo
2020-08-19  9:29 Sergei Trofimovich
2020-08-18 21:53 Sergei Trofimovich
2020-08-18  8:04 Michał Górny
2020-06-12 19:32 Michał Górny
2020-06-12 19:32 Michał Górny
2020-06-12 15:40 Michał Górny
2020-02-11 12:25 Michał Górny
2019-12-30 21:54 Piotr Karbowski
2019-04-04 21:16 Aaron Bauman
2019-03-21 22:24 Aaron Bauman
2019-03-16 23:33 Anthony G. Basile
2018-12-07  2:41 Thomas Deutschmann
2018-12-04 11:56 Agostino Sarubbo
2018-05-14 22:47 Rafael Martins
2018-04-20 15:46 Rafael Martins
2017-11-26 23:26 David Seifert
2017-06-28  9:38 Alexis Ballier
2017-02-22 16:08 Agostino Sarubbo
2017-02-22 15:06 Agostino Sarubbo
2017-02-13  8:55 Zac Medico
2016-11-10  0:14 Sebastian Pipping
2016-11-03 16:19 Göktürk Yüksek
2016-03-28 13:16 Ian Delaney
2016-01-26  3:32 Zac Medico
2016-01-26  3:31 Zac Medico
2015-08-09 12:30 Justin Lecher
2015-08-09 11:51 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1689660177.0650949a523dcec5eaa58efd51f30a77a7c39942.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox